Skip to main content

Deployments

Deployments let the user schedule a job to deploy the contents of their workspace repository to their workspace in Meltano Cloud.

This can be done manually or via a GitHub repository webhook:

  • Payload URL: https://app.meltano.com/api/workspaces/<workspace_id>/deployments/github-webhook
  • Content type: application/json
  • Secret: "Deployment Secret" from workspace settings in Meltano Cloud

Requests​

Deploy your workspace repository​

POST /api/workspaces/{workspaces-id}/deployments

Deploys the workspace {workspace-id}.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/71836868-b56c-49b8-b32e-949d8c223a78/deployments' -i -X POST \
-H 'Content-Type: application/json'

Response​

202 Accepted

Job with HAL links.

{
"id" : "8010eac5-3139-4a3a-b97c-3ea81e0c6739",
"created" : "2026-10-29T15:49:03.839391",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/jobs/8010eac5-3139-4a3a-b97c-3ea81e0c6739"
},
"delete job" : {
"href" : "https://app.meltano.com/api/jobs/8010eac5-3139-4a3a-b97c-3ea81e0c6739",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.meltano.com/api/jobs/8010eac5-3139-4a3a-b97c-3ea81e0c6739/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.meltano.com/api/jobs/8010eac5-3139-4a3a-b97c-3ea81e0c6739/stopped",
"type" : "PUT"
}
}
}

GitHub webhook workspace deployment​

POST /api/workspaces/{workspaces-id}/deployments/github-webhook

Receives POST requests from GitHub and starts a workspace deploy job.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/71836868-b56c-49b8-b32e-949d8c223a78/deployments/github-webhook' -i -X POST \
-H 'X-Hub-Signature: sha1=66e4bb2ead4dc8266f18b2ae3a8e74e7c48082cb' \
-H 'Content-Type: application/json' \
-d '{ }'

Response​

202 Accepted

Job with HAL links.

{
"id" : "385496ee-b5a7-45a4-a254-1fa0a9726146",
"created" : "2026-10-29T15:49:04.970321",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/jobs/385496ee-b5a7-45a4-a254-1fa0a9726146"
},
"delete job" : {
"href" : "https://app.meltano.com/api/jobs/385496ee-b5a7-45a4-a254-1fa0a9726146",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.meltano.com/api/jobs/385496ee-b5a7-45a4-a254-1fa0a9726146/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.meltano.com/api/jobs/385496ee-b5a7-45a4-a254-1fa0a9726146/stopped",
"type" : "PUT"
}
}
}